ScannerException

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class ScannerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weka.core.parser.JFlex.ScannerException

All Implemented Interfaces:
  java.io.Serializable

    public class ScannerException

extends java.lang.RuntimeException

This Exception could be thrown while scanning the specification (e.g. unmatched input)

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:11 $
Author:
  Gerwin Klein
See Also:
  Serialized Form

Field Summary
`int` | `column`
`java.io.File` | `file`
`int` | `line`
`ErrorMessages` | `message`

Constructor Summary
`ScannerException(ErrorMessages message)` Creates a new ScannerException with a message only.
`ScannerException(ErrorMessages message, int line)` Creates a new ScannerException with a message and line number.
`ScannerException(java.io.File file, ErrorMessages message)` Creates a new ScannerException for a file with a message only.
`ScannerException(java.io.File file, ErrorMessages message, int line)` Creates a new ScannerException for a file with a message and line number.
`ScannerException(java.io.File file, ErrorMessages message, int line, int column)` Creates a new ScannerException with a message, line number and column.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### line

    public int line

### column

    public int column

### message

    public ErrorMessages message

### file

    public java.io.File file

Constructor Detail

### ScannerException

    public ScannerException(ErrorMessages message)

  Creates a new ScannerException with a message only.

  Parameters:
    `message` - the code for the error description presented to the user.

### ScannerException

    public ScannerException(java.io.File file,
                            ErrorMessages message)

  Creates a new ScannerException for a file with a message only.

  Parameters:
    `file` - the file in which the error occured
    `message` - the code for the error description presented to the user.

### ScannerException

    public ScannerException(ErrorMessages message,
                            int line)

  Creates a new ScannerException with a message and line number.

  Parameters:
    `message` - the code for the error description presented to the user.
    `line` - the number of the line in the specification that contains the error

### ScannerException

    public ScannerException(java.io.File file,
                            ErrorMessages message,
                            int line)

  Creates a new ScannerException for a file with a message and line number.

  Parameters:
    `message` - the code for the error description presented to the user.
    `line` - the number of the line in the specification that contains the error

### ScannerException

    public ScannerException(java.io.File file,
                            ErrorMessages message,
                            int line,
                            int column)

  Creates a new ScannerException with a message, line number and column.

  Parameters:
    `message` - the code for the error description presented to the user.
    `line` - the number of the line in the specification that contains the error
    `column` - the column where the error starts

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD